## gdata-sharp 1.4.0.2

=== Makefile ===
CSC1=mcs
CSC=gmcs

DEFINES=/d:TRACE

VERSION=$(shell egrep AssemblyVersion version/AssemblyVersion.cs | egrep -o \([[:digit:]]\.\)+[[:digit:]]+)
PREFIX=/usr/local

CORELIBS=\
	Google.GData.Client.dll		\
	Google.GData.Extensions.dll 	

ACLLIBS=\
	Google.GData.Client.dll		\
	Google.GData.Extensions.dll 	\
	Google.GData.AccessControl.dll


ALLLIBS = \
	Google.GData.Calendar.dll	\
	Google.GData.Client.dll		\
	Google.GData.CodeSearch.dll	\
	Google.GData.Extensions.dll	\
	Google.GData.GoogleBase.dll	\
	Google.GData.Spreadsheets.dll	\
	Google.GData.Apps.dll		\
	Google.GData.Photos.dll		\
	Google.GData.Documents.dll 	\
	Google.GData.AccessControl.dll 	\
	Google.GData.Contacts.dll	\
	Google.GData.YouTube.dll	\
	Google.GData.Health.dll \
	Google.GData.Blogger.dll \

FRAMEWORK_REFS = -r:System.dll -r:System.Xml.dll -r:System.Web.dll -r:System.Configuration.dll

PKGCONFIG_FILES = $(patsubst %.pc.in,%.pc,$(wildcard misc/*.pc.in))

COREREFS = $(addprefix -r:,$(CORELIBS)) $(FRAMEWORK_REFS) 
ALLREFS = $(addprefix -r:,$(ALLLIBS)) $(FRAMEWORK_REFS)
ACLREFS = $(addprefix -r:,$(ACLLIBS)) $(FRAMEWORK_REFS)


samples =	\
	gbase_queryexample.exe 		\
	gbase_customertool.exe		\
	execrequest.exe			\
	gapps_appsdemo.exe \
	gapps_migration_sample.exe \
	gblogger_demo.exe \
	gcal_demo.exe \
	gspreadsheet_demo.exe \
	PhotoTool.exe \
	HealthTool.exe \

all: $(ALLLIBS) tests $(samples) $(PKGCONFIG_FILES)

core_sources = $(wildcard src/core/*.cs) $(wildcard version/*.cs)
extensions_sources = $(wildcard src/extensions/*.cs) $(wildcard version/*.cs)
gbase_sources = $(wildcard src/gbase/*.cs) $(wildcard version/*.cs)
gcodesearch_sources = $(wildcard src/gcodesearch/*.cs) $(wildcard version/*.cs)
gspreadsheet_sources = $(wildcard src/gspreadsheet/*.cs) $(wildcard version/*.cs)
gcalendar_sources =  $(wildcard src/gcalendar/*.cs) $(wildcard version/*.cs)
gacl_sources = $(wildcard src/gacl/*.cs) $(wildcard version/*.cs)
gapps_sources = $(wildcard src/gapps/*.cs) $(wildcard version/*.cs)
gphotos_sources = $(wildcard src/gphotos/*.cs) $(wildcard version/*.cs)
gdocuments_sources = $(wildcard src/gdocuments/*.cs) $(wildcard version/*.cs)
gcontact_sources = $(wildcard src/gcontacts/*.cs) $(wildcard version/*.cs)
youtube_sources = $(wildcard src/youtube/*.cs) $(wildcard version/*.cs)
health_sources = $(wildcard src/ghealth/*.cs) $(wildcard version/*.cs)
blogger_sources = $(wildcard src/blogger/*.cs) $(wildcard version/*.cs)
test_sources = $(wildcard src/unittests/*.cs) $(wildcard src/unittests/gbase/*.cs) $(wildcard src/unittests/gapps/*.cs)\
				 $(wildcard src/unittests/spreadsheets/*.cs) $(wildcard src/unittests/youtube/*.cs)  $(wildcard src/version/*cs)\
				 $(wildcard src/unittests/core/*.cs)  $(wildcard src/unittests/picasa/*.cs)

Google.GData.Client.dll: $(core_sources) src/core/clientkey.sn
	$(CSC) $(DEFINES) -target:library -out:$@ $(core_sources) $(FRAMEWORK_REFS) -keyfile:src/core/clientkey.sn

Google.GData.Extensions.dll: Google.GData.Client.dll $(extension_sources) src/extensions/extensionkey.sn
	$(CSC) $(DEFINES) -target:library -out:$@ -r:Google.GData.Client.dll $(extensions_sources) $(FRAMEWORK_REFS) -keyfile:src/extensions/extensionkey.sn

Google.GData.Calendar.dll: $(ACLLIBS) $(gcalendar_sources) src/gcalendar/calendarkey.sn
	$(CSC) -target:library -out:$@ $(ACLREFS) $(gcalendar_sources) -keyfile:src/gcalendar/calendarkey.sn

Google.GData.CodeSearch.dll: $(CORELIBS) $(gcodesearch_sources) src/gcodesearch/codesearch.sn
	$(CSC) -target:library -out:$@ $(COREREFS) $(gcodesearch_sources) -keyfile:src/gcodesearch/codesearch.sn

Google.GData.GoogleBase.dll: $(CORELIBS) $(gbase_sources) src/gbase/gbase.sn
	$(CSC) -target:library -out:$@ $(COREREFS) $(gbase_sources) -keyfile:src/gbase/gbase.sn

Google.GData.Spreadsheets.dll: $(CORELIBS) $(gspreadsheet_sources) src/gspreadsheet/spreadsheets.sn
	$(CSC) -target:library -out:$@ $(COREREFS) $(gspreadsheet_sources) -keyfile:src/gspreadsheet/spreadsheets.sn

Google.GData.AccessControl.dll: $(CORELIBS) $(gacl_sources) src/gacl/gacl.sn
	$(CSC) -target:library -out:$@ $(COREREFS) $(gacl_sources) -keyfile:src/gacl/gacl.sn

Google.GData.Apps.dll: $(CORELIBS) $(gapps_sources) src/gapps/gapps.sn
	$(CSC) -target:library -out:$@ $(COREREFS) $(gapps_sources) -keyfile:src/gapps/gapps.sn

Google.GData.Photos.dll: $(CORELIBS) $(gphotos_sources) src/gphotos/picasa.sn
	$(CSC) $(DEFINES) -target:library -out:$@ $(COREREFS) $(gphotos_sources) -keyfile:src/gphotos/picasa.sn

Google.GData.Documents.dll: $(ACLLIBS) $(gdocuments_sources) src/gdocuments/documents.sn
	$(CSC) $(DEFINES) -target:library -out:$@ $(ACLREFS) $(gdocuments_sources) -keyfile:src/gdocuments/documents.sn

Google.GData.Contacts.dll: $(CORELIBS) $(gcontact_sources) src/gcontacts/contacts.sn
	$(CSC) $(DEFINES) -target:library -out:$@ $(COREREFS) $(gcontact_sources) -keyfile:src/gcontacts/contacts.sn

Google.GData.YouTube.dll: $(CORELIBS) $(youtube_sources) src/youtube/youtube.sn
	$(CSC) $(DEFINES) -target:library -out:$@ $(COREREFS) $(youtube_sources) -keyfile:src/youtube/youtube.sn

Google.GData.Health.dll: $(CORELIBS) $(health_sources) src/ghealth/ghealth.sn
	$(CSC) $(DEFINES) -target:library -out:$@ $(COREREFS) $(health_sources) -keyfile:src/ghealth/ghealth.sn

Google.GData.Blogger.dll: $(CORELIBS) $(blogger_sources) src/blogger/blogger.sn
	$(CSC) $(DEFINES) -target:library -out:$@ $(COREREFS) $(blogger_sources) -keyfile:src/blogger/blogger.sn

clean:
	-rm *.sn *.dll *exe $(PKGCONFIG_FILES)

install: all
	for i in $(ALLLIBS); do gacutil -i $$i -package GData-Sharp -root "$(DESTDIR)$(PREFIX)/lib"; done
	install -d "$(DESTDIR)$(PREFIX)/lib/pkgconfig"
	install -m 644 -t "$(DESTDIR)$(PREFIX)/lib/pkgconfig" $(PKGCONFIG_FILES) 

uninstall:
	for i in $(ALLLIBS); do gacutil -u $$i -package GData-Sharp -root "$(DESTDIR)$(PREFIX)/lib"; done
	for i in $(PKGCONFIG_FILES) ; do rm "$(DESTDIR)$(PREFIX)/lib/pkgconfig/$$i" ; done

tests: $(ALLLIBS)
	$(CSC) $(DEFINES) -target:library -out:unittests.dll $(ALLREFS) -r:nunit.framework.dll $(test_sources)

gbase_customertool_sources = samples/gbase/example.cs \
	samples/gbase/customertool.cs	\
	samples/gbase/commands.cs

gbase_customertool.exe: $(ALLLIBS) $(gbase_customertool_sources)
	$(CSC) -out:$@ $(ALLREFS) $(gbase_customertool_sources)

gbase_queryexample_sources = samples/gbase/example.cs samples/gbase/queryexample.cs
gbase_queryexample.exe: $(ALLLIBS) $(gbase_queryexample_sources)
	$(CSC) -out:$@ $(ALLREFS) $(gbase_queryexample_sources)

gapps_sample_sources = samples/appsforyourdomain/appsdemo.cs
gapps_appsdemo.exe: $(ALLLIBS) $(gapps_sample_sources)
	$(CSC) -out:$@ $(ALLREFS) $(gapps_sample_sources)

gapps_migration_sample_sources = samples/appsforyourdomain/migration/migrationsample.cs
gapps_migration_sample.exe: $(ALLLIBS) $(gapps_migration_sample_sources)
	$(CSC) -out:$@ $(ALLREFS) $(gapps_migration_sample_sources)

execrequest_sources = $(wildcard samples/execrequest/*.cs)
execrequest.exe: $(ALLLIBS) $(execrequest_sources)
	$(CSC) -out:$@ $(ALLREFS) $(execrequest_sources)

gblogger_sample_sources = samples/blogger/ConsoleSample.cs
gblogger_demo.exe: $(ALLLIBS) $(gblogger_sample_sources)
	$(CSC) -out:$@ $(ALLREFS) $(gblogger_sample_sources)

gcal_demo_sources = samples/calendar/console/CalendarDemo.cs
gcal_demo.exe: $(ALLLIBS) $(gcal_demo_sources)
	$(CSC) -out:$@ $(ALLREFS) $(gcal_demo_sources)

gspreadsheet_demo_sources = samples/spreadsheets/spreadsheetdemo.cs
gspreadsheet_demo.exe: $(ALLLIBS) $(gspreadsheet_demo_sources)
	$(CSC) -out:$@ $(ALLREFS) $(gspreadsheet_demo_sources)

PhotoTool_sources = $(wildcard samples/PhotoBrowser/*.cs)
PhotoTool.exe: $(ALLLIBS) $(PhotoTool_sources)
	$(CSC) -out:$@ $(ALLREFS) -r:System.Windows.Forms -r:System.Drawing -r:System.Data $(PhotoTool_sources)
	
healthtool_sources = $(wildcard samples/health/*.cs)
HealthTool.exe: $(ALLLIBS) $(healthtool_sources)
	$(CSC) -out:$@ $(ALLREFS) $(healthtool_sources)



test:
	nunit-console2 unittests.dll

%.pc : %.pc.in
	sed "s,\@VERSION\@,$(VERSION),g; s,\@prefix\@,$(PREFIX),g" < $< > $@

## gdata-sharp 1.7.0.1

=== Makefile ===
--- 
+++ 
@@ -5,6 +5,7 @@
 
 VERSION=$(shell egrep AssemblyVersion version/AssemblyVersion.cs | egrep -o \([[:digit:]]\.\)+[[:digit:]]+)
 PREFIX=/usr/local
+PKGCONFIGDIR = $(PREFIX)/lib/pkgconfig
 
 CORELIBS=\
 	Google.GData.Client.dll		\
@@ -31,6 +32,9 @@
 	Google.GData.YouTube.dll	\
 	Google.GData.Health.dll \
 	Google.GData.Blogger.dll \
+	Google.GData.Analytics.dll \
+	
+UNINSTALLLIBS = $(basename $(ALLLIBS))
 
 FRAMEWORK_REFS = -r:System.dll -r:System.Xml.dll -r:System.Web.dll -r:System.Configuration.dll
 
@@ -64,11 +68,12 @@
 gacl_sources = $(wildcard src/gacl/*.cs) $(wildcard version/*.cs)
 gapps_sources = $(wildcard src/gapps/*.cs) $(wildcard version/*.cs)
 gphotos_sources = $(wildcard src/gphotos/*.cs) $(wildcard version/*.cs)
-gdocuments_sources = $(wildcard src/gdocuments/*.cs) $(wildcard version/*.cs)
+gdocuments_sources = $(wildcard src/documents3/*.cs) $(wildcard version/*.cs)
 gcontact_sources = $(wildcard src/gcontacts/*.cs) $(wildcard version/*.cs)
 youtube_sources = $(wildcard src/youtube/*.cs) $(wildcard version/*.cs)
 health_sources = $(wildcard src/ghealth/*.cs) $(wildcard version/*.cs)
 blogger_sources = $(wildcard src/blogger/*.cs) $(wildcard version/*.cs)
+analytics_sources = $(wildcard src/analytics/*.cs) $(wildcard version/*.cs)
 test_sources = $(wildcard src/unittests/*.cs) $(wildcard src/unittests/gbase/*.cs) $(wildcard src/unittests/gapps/*.cs)\
 				 $(wildcard src/unittests/spreadsheets/*.cs) $(wildcard src/unittests/youtube/*.cs)  $(wildcard src/version/*cs)\
 				 $(wildcard src/unittests/core/*.cs)  $(wildcard src/unittests/picasa/*.cs)
@@ -100,8 +105,8 @@
 Google.GData.Photos.dll: $(CORELIBS) $(gphotos_sources) src/gphotos/picasa.sn
 	$(CSC) $(DEFINES) -target:library -out:$@ $(COREREFS) $(gphotos_sources) -keyfile:src/gphotos/picasa.sn
 
-Google.GData.Documents.dll: $(ACLLIBS) $(gdocuments_sources) src/gdocuments/documents.sn
-	$(CSC) $(DEFINES) -target:library -out:$@ $(ACLREFS) $(gdocuments_sources) -keyfile:src/gdocuments/documents.sn
+Google.GData.Documents.dll: $(ACLLIBS) $(gdocuments_sources) src/documents3/documents.sn
+	$(CSC) $(DEFINES) -target:library -out:$@ $(ACLREFS) $(gdocuments_sources) -keyfile:src/documents3/documents.sn
 
 Google.GData.Contacts.dll: $(CORELIBS) $(gcontact_sources) src/gcontacts/contacts.sn
 	$(CSC) $(DEFINES) -target:library -out:$@ $(COREREFS) $(gcontact_sources) -keyfile:src/gcontacts/contacts.sn
@@ -115,17 +120,21 @@
 Google.GData.Blogger.dll: $(CORELIBS) $(blogger_sources) src/blogger/blogger.sn
 	$(CSC) $(DEFINES) -target:library -out:$@ $(COREREFS) $(blogger_sources) -keyfile:src/blogger/blogger.sn
 
+Google.GData.Analytics.dll: $(CORELIBS) $(analytics_sources) src/analytics/analytics.sn
+	$(CSC) $(DEFINES) -target:library -out:$@ $(COREREFS) $(analytics_sources) -keyfile:src/analytics/analytics.sn
+
+
 clean:
-	-rm *.sn *.dll *exe $(PKGCONFIG_FILES)
+	-rm -f *.sn *.dll *exe $(PKGCONFIG_FILES)
 
 install: all
 	for i in $(ALLLIBS); do gacutil -i $$i -package GData-Sharp -root "$(DESTDIR)$(PREFIX)/lib"; done
-	install -d "$(DESTDIR)$(PREFIX)/lib/pkgconfig"
-	install -m 644 -t "$(DESTDIR)$(PREFIX)/lib/pkgconfig" $(PKGCONFIG_FILES) 
+	install -d "$(DESTDIR)$(PKGCONFIGDIR)"
+	install -m 644 -t "$(DESTDIR)$(PKGCONFIGDIR)" $(PKGCONFIG_FILES) 
 
 uninstall:
-	for i in $(ALLLIBS); do gacutil -u $$i -package GData-Sharp -root "$(DESTDIR)$(PREFIX)/lib"; done
-	for i in $(PKGCONFIG_FILES) ; do rm "$(DESTDIR)$(PREFIX)/lib/pkgconfig/$$i" ; done
+	for i in $(UNINSTALLLIBS); do gacutil -u $$i -package GData-Sharp -root "$(DESTDIR)$(PREFIX)/lib"; done
+	for i in $(PKGCONFIG_FILES) ; do rm "$(DESTDIR)$(PKGCONFIGDIR)/$$i" ; done
 
 tests: $(ALLLIBS)
 	$(CSC) $(DEFINES) -target:library -out:unittests.dll $(ALLREFS) -r:nunit.framework.dll $(test_sources)
@@ -173,8 +182,6 @@
 HealthTool.exe: $(ALLLIBS) $(healthtool_sources)
 	$(CSC) -out:$@ $(ALLREFS) $(healthtool_sources)
 
-
-
 test:
 	nunit-console2 unittests.dll

=== debian/changelog ===
gdata-sharp (1.7.0.1-1~lucid1) lucid; urgency=low

  * Merge from Maverick, remaining changes:
    + [e80a685] Drop monodoc support (doesn't build)

 -- Chow Loong Jin <hyperair@ubuntu.com>  Thu, 24 Feb 2011 02:02:05 +0800

gdata-sharp (1.7.0.1-1~maverick1) maverick; urgency=low

  * Backport to maverick

 -- Chow Loong Jin <hyperair@ubuntu.com>  Thu, 24 Feb 2011 02:01:26 +0800

gdata-sharp (1.7.0.1-1~natty1) natty; urgency=low

  * Backport to natty

 -- Chow Loong Jin <hyperair@ubuntu.com>  Thu, 24 Feb 2011 02:01:01 +0800

gdata-sharp (1.7.0.1-1) unstable; urgency=low

  * [862be2e] New upstream release
  * [ab5b875] Update remove-system-web-dep.patch from upstream
  * [b7c7a7d] Refresh pkgconfig-paths patch
  * [b68b4b5] Drop 02_cli-2.0-port.patch (no longer needed)
  * [0cc6766] Add Google.GData.Analytics to control file
  * [b9dec4f] Bump ABI and API versions
  * [eacb398] Use 3.0 (quilt) format
  * [6f77271] Refresh 00_build-system.patch
  * [85ca24a] Update my email in Uploaders

 -- Chow Loong Jin <hyperair@ubuntu.com>  Thu, 10 Feb 2011 10:34:31 +0800

gdata-sharp (1.4.0.2-5~lucid1) lucid; urgency=low

  * Backport to lucid
    + [e80a685] Drop monodoc support (doesn't build)

 -- Chow Loong Jin <hyperair@ubuntu.com>  Sun, 16 Jan 2011 02:31:57 +0800

gdata-sharp (1.4.0.2-5~maverick1) maverick; urgency=low

  * Backport to maverick

 -- Chow Loong Jin <hyperair@ubuntu.com>  Sun, 16 Jan 2011 01:42:02 +0800

gdata-sharp (1.4.0.2-5~natty1) natty; urgency=low

  * Backport to natty

 -- Chow Loong Jin <hyperair@ubuntu.com>  Sun, 16 Jan 2011 01:42:01 +0800

gdata-sharp (1.4.0.2-5) experimental; urgency=low

  * [257ae00] Set Debian source format to 1.0
  * [3ba66e6] Update Debian Policy to 3.9.1 (no changes)
  * [e326188] Add a patch from upstream bug #429, which removes the
    dependency on System.Web. gdata-sharp already bundles a chunk of
    Mono's System.Web source code, for use on Windows CE (which lacks re
    required methods). This patch simply adds the rest of the System.Web
    pieces used by gdata-sharp, and makes the file part of the build on
    all platforms, not just Windows CE. Thanks to Gabriel Burt
    <gabriel.burt@gmail.com>

 -- Jo Shields <directhex@apebox.org>  Sat, 13 Nov 2010 11:30:56 +0000

gdata-sharp (1.4.0.2-4) unstable; urgency=low

  * [2237ad3] Fix build-dependencies to use mono-devel 2.4.3's
    monolithic mono-devel, and use NUnit's -cil-dev package
  * [3a91407] Fix calls to mdoc to not only fix FTBFS, but actually
    generate documentation (Closes #598175)

 -- Jo Shields <directhex@apebox.org>  Mon, 27 Sep 2010 09:44:50 +0100

gdata-sharp (1.4.0.2-3) unstable; urgency=low

  [ Jo Shields ]
  * debian/libgdata1.4-cil.install,
    debian/libgdata1.4-cil.installcligac,
    debian/patches/patches/01_pkgconfig-paths.patch:
    + CLI Policy 0.7 install location
  * debian/libgdata1.4-cil.install,
    debian/libgdata-cil-dev.install,
    debian/rules:
    + Unversioned -dev package containing pkg-config files

  [ Chow Loong Jin ]
  * debian/rules:
    + Use mono-csc instead of csc
    + Use mdoc instead of monodocer/mdassembler
    + Use quilt dh7 integration
  * debian/control:
    + Bump mono-devel to 2.4.2 for mono-csc
    + Bump Standards-Version to 3.8.3:
      - Section => cli-mono
    + Build-dep on quilt >= 0.46-7~
    + Bump monodoc-base version to 2.4+dfsg for mdoc

 -- Jo Shields <directhex@apebox.org>  Mon, 23 Nov 2009 12:27:38 +0000

gdata-sharp (1.4.0.2-2) unstable; urgency=low

  [ Chow Loong Jin ]
  * debian/rules:
    + Rename all pkg-config files to include ABI version as per policy
    + Hook up unpatch to just before dh_clean

  [ David Paleino ]
  * debian/rules: fix arguments passed to monodocer, fixes FTBFS,
    thanks to Albin Tonnerre (Closes: #533951)

 -- David Paleino <d.paleino@gmail.com>  Fri, 25 Sep 2009 21:04:41 +0200

gdata-sharp (1.4.0.2-1) unstable; urgency=low

  * Initial release (Closes: #519844)
  * debian/patches/00_build-system.patch:
    + Fix Makefile searching for nunit
  * debian/patches/01_pkgconfig-paths.patch:
    + Update the locations of the libraries
  * debian/patches/02_cli-2.0-port.patch:
    + Patch to use System.IO.Compression.GZipStream instead of shipped
      GZipStream

 -- Chow Loong Jin <hyperair@gmail.com>  Sun, 22 Mar 2009 21:37:21 +0800

=== debian/control ===
Source: gdata-sharp
Section: cli-mono
Priority: optional
Maintainer: Debian CLI Libraries Team <pkg-cli-libs-team@lists.alioth.debian.org>
Uploaders: Chow Loong Jin <hyperair@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50),
               cli-common-dev (>= 0.5.7),
               mono-devel (>= 2.4.3),
Build-Depends-Indep: libnunit-cil-dev
Standards-Version: 3.9.1
Vcs-Git: git://git.debian.org/git/pkg-cli-libs/packages/gdata-sharp.git
Vcs-Browser: http://git.debian.org/?p=pkg-cli-libs/packages/gdata-sharp.git
Homepage: http://code.google.com/p/google-gdata/

Package: libgdata1.7-cil
Architecture: all
Depends: ${misc:Depends}, ${cli:Depends}
Description: Google GData CLI client library
 GData (Google data) is a set of Application Programming Interfaces (APIs) for
 the Common Language Infrastructure (CLI) which provide a simple protocol for
 reading and writing data on the web.
 .
 Each of the following Google services provides a Google data API:
  * Base
  * Blogger
  * Calendar
  * Code Search
  * Contacts
  * Document List
  * Google Apps Provisioning
  * Notebook
  * Picasa Web Albums
  * Spreadsheets
  * YouTube
 .
 The GData CLI Client Library provides a library and source code that make it
 easy to access data through Google Data APIs.
 .
 This package contains the GData assemblies

Package: libgdata-cil-dev
Architecture: all
Depends: libgdata1.7-cil (= ${binary:Version}), ${misc:Depends}
Description: Google GData CLI client library
 GData (Google data) is a set of Application Programming Interfaces (APIs) for
 the Common Language Infrastructure (CLI) which provide a simple protocol for
 reading and writing data on the web.
 .
 Each of the following Google services provides a Google data API:
  * Base
  * Blogger
  * Calendar
  * Code Search
  * Contacts
  * Document List
  * Google Apps Provisioning
  * Notebook
  * Picasa Web Albums
  * Spreadsheets
  * YouTube
 .
 The GData CLI Client Library provides a library and source code that make it
 easy to access data through Google Data APIs.
 .
 This package contains development files for the GData library, and should be
 used for compilation

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1

include /usr/share/cli-common/cli.make

DEB_CLI_API_VERSION = 1.7.0.1
DEB_CLI_ABI_VERSION = 1.7

override_dh_makeclilibs:
	dh_makeclilibs -m$(DEB_CLI_API_VERSION)

override_dh_installchangelogs:
	dh_installchangelogs RELEASE_NOTES.HTML

override_dh_auto_build:
	# we have to pass PREFIX has as there is no configure script which
	# covers that :(
	dh_auto_build -- PREFIX=/usr CSC=/usr/bin/mono-csc

override_dh_auto_clean:
	dh_auto_clean
	rm -rf monodoc GData.tree GData.zip

override_dh_auto_install:
	# gar, see above
	# extra brokeness for building tests in install
	dh_auto_install -- PREFIX=/usr CSC=/usr/bin/mono-csc

# skip test-cases as they fail for some reason
override_dh_auto_test:

%:
	dh $@

## gdata-sharp 1.8.0.0

=== Makefile ===
--- 
+++ 
@@ -36,7 +36,7 @@
 	
 UNINSTALLLIBS = $(basename $(ALLLIBS))
 
-FRAMEWORK_REFS = -r:System.dll -r:System.Xml.dll -r:System.Web.dll -r:System.Configuration.dll
+FRAMEWORK_REFS = -r:System.dll -r:System.Xml.dll -r:System.Configuration.dll
 
 PKGCONFIG_FILES = $(patsubst %.pc.in,%.pc,$(wildcard misc/*.pc.in))

=== debian/changelog ===
gdata-sharp (1.8.0.0-1) unstable; urgency=low

  * [7037514] Install RELEASE_NOTES.HTML as upstream changelog
  * [2286665] Update watch file for google code change
  * [9018e14] Imported Upstream version 1.8.0.0
  * [7458084] Drop upstreamed remove-system-web-dep.patch
  * [088ff07] Rename packages and update paths for ABI bump
  * [298fc6c] Patch to replace * with 0 in AssemblyVersion
  * [95369d3] No-change Standards-Version bump (3.9.1 → 3.9.2)

 -- Chow Loong Jin <hyperair@ubuntu.com>  Sat, 13 Aug 2011 01:15:41 +0800

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,14 @@
 Build-Depends: debhelper (>= 7.0.50),
                cli-common-dev (>= 0.5.7),
                mono-devel (>= 2.4.3),
-Build-Depends-Indep: libnunit-cil-dev
-Standards-Version: 3.9.1
+Build-Depends-Indep: libnunit-cil-dev,
+                     monodoc-base (>= 2.4+dfsg)
+Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/pkg-cli-libs/packages/gdata-sharp.git
 Vcs-Browser: http://git.debian.org/?p=pkg-cli-libs/packages/gdata-sharp.git
 Homepage: http://code.google.com/p/google-gdata/
 
-Package: libgdata1.7-cil
+Package: libgdata1.8-cil
 Architecture: all
 Depends: ${misc:Depends}, ${cli:Depends}
 Description: Google GData CLI client library
@@ -40,7 +41,7 @@
 
 Package: libgdata-cil-dev
 Architecture: all
-Depends: libgdata1.7-cil (= ${binary:Version}), ${misc:Depends}
+Depends: libgdata1.8-cil (= ${binary:Version}), ${misc:Depends}
 Description: Google GData CLI client library
  GData (Google data) is a set of Application Programming Interfaces (APIs) for
  the Common Language Infrastructure (CLI) which provide a simple protocol for
@@ -64,3 +65,27 @@
  .
  This package contains development files for the GData library, and should be
  used for compilation
+
+Package: monodoc-gdata-manual
+Section: doc
+Architecture: all
+Depends: monodoc-manual, ${misc:Depends}
+Description: compiled XML documentation for GData
+ GData (Google data) is a set of Application Programming Interfaces (APIs) for
+ the Common Language Infrastructure (CLI) which provide a simple protocol for
+ reading and writing data on the web.
+ .
+ Each of the following Google services provides a Google data API:
+  * Base
+  * Blogger
+  * Calendar
+  * Code Search
+  * Contacts
+  * Document List
+  * Google Apps Provisioning
+  * Notebook
+  * Picasa Web Albums
+  * Spreadsheets
+  * YouTube
+ .
+ This package contains the compiled XML documentation for GData

=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,8 @@
 
 include /usr/share/cli-common/cli.make
 
-DEB_CLI_API_VERSION = 1.7.0.1
-DEB_CLI_ABI_VERSION = 1.7
+DEB_CLI_API_VERSION = 1.8.0.0
+DEB_CLI_ABI_VERSION = 1.8
 
 override_dh_makeclilibs:
 	dh_makeclilibs -m$(DEB_CLI_API_VERSION)
@@ -16,6 +16,16 @@
 	# we have to pass PREFIX has as there is no configure script which
 	# covers that :(
 	dh_auto_build -- PREFIX=/usr CSC=/usr/bin/mono-csc
+	mkdir -p monodoc
+	mdoc update \
+		-fno-assembly-versions \
+		-L$(CURDIR)/bin \
+		--out=monodoc \
+		*.dll
+	mdoc assemble \
+		--format ecma \
+		--out $(CURDIR)/GData \
+		./monodoc/
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -29,6 +39,9 @@
 # skip test-cases as they fail for some reason
 override_dh_auto_test:
 
+override_dh_installchangelogs:
+	dh_installchangelogs RELEASE_NOTES.HTML
+
 %:
 	dh $@

## gdata-sharp 1.9.0.0

=== Makefile ===
--- 
+++ 
@@ -46,8 +46,6 @@
 
 
 samples =	\
-	gbase_queryexample.exe 		\
-	gbase_customertool.exe		\
 	execrequest.exe			\
 	gapps_appsdemo.exe \
 	gapps_migration_sample.exe \
@@ -61,7 +59,6 @@
 
 core_sources = $(wildcard src/core/*.cs) $(wildcard version/*.cs)
 extensions_sources = $(wildcard src/extensions/*.cs) $(wildcard version/*.cs)
-gbase_sources = $(wildcard src/gbase/*.cs) $(wildcard version/*.cs)
 gcodesearch_sources = $(wildcard src/gcodesearch/*.cs) $(wildcard version/*.cs)
 gspreadsheet_sources = $(wildcard src/gspreadsheet/*.cs) $(wildcard version/*.cs)
 gcalendar_sources =  $(wildcard src/gcalendar/*.cs) $(wildcard version/*.cs)
@@ -74,7 +71,7 @@
 health_sources = $(wildcard src/ghealth/*.cs) $(wildcard version/*.cs)
 blogger_sources = $(wildcard src/blogger/*.cs) $(wildcard version/*.cs)
 analytics_sources = $(wildcard src/analytics/*.cs) $(wildcard version/*.cs)
-test_sources = $(wildcard src/unittests/*.cs) $(wildcard src/unittests/gbase/*.cs) $(wildcard src/unittests/gapps/*.cs)\
+test_sources = $(wildcard src/unittests/*.cs) $(wildcard src/unittests/gapps/*.cs)\
 				 $(wildcard src/unittests/spreadsheets/*.cs) $(wildcard src/unittests/youtube/*.cs)  $(wildcard src/version/*cs)\
 				 $(wildcard src/unittests/core/*.cs)  $(wildcard src/unittests/picasa/*.cs)
 
@@ -89,9 +86,6 @@
 
 Google.GData.CodeSearch.dll: $(CORELIBS) $(gcodesearch_sources) src/gcodesearch/codesearch.sn
 	$(CSC) -target:library -out:$@ $(COREREFS) $(gcodesearch_sources) -keyfile:src/gcodesearch/codesearch.sn
-
-Google.GData.GoogleBase.dll: $(CORELIBS) $(gbase_sources) src/gbase/gbase.sn
-	$(CSC) -target:library -out:$@ $(COREREFS) $(gbase_sources) -keyfile:src/gbase/gbase.sn
 
 Google.GData.Spreadsheets.dll: $(CORELIBS) $(gspreadsheet_sources) src/gspreadsheet/spreadsheets.sn
 	$(CSC) -target:library -out:$@ $(COREREFS) $(gspreadsheet_sources) -keyfile:src/gspreadsheet/spreadsheets.sn
@@ -139,17 +133,6 @@
 tests: $(ALLLIBS)
 	$(CSC) $(DEFINES) -target:library -out:unittests.dll $(ALLREFS) -r:nunit.framework.dll $(test_sources)
 
-gbase_customertool_sources = samples/gbase/example.cs \
-	samples/gbase/customertool.cs	\
-	samples/gbase/commands.cs
-
-gbase_customertool.exe: $(ALLLIBS) $(gbase_customertool_sources)
-	$(CSC) -out:$@ $(ALLREFS) $(gbase_customertool_sources)
-
-gbase_queryexample_sources = samples/gbase/example.cs samples/gbase/queryexample.cs
-gbase_queryexample.exe: $(ALLLIBS) $(gbase_queryexample_sources)
-	$(CSC) -out:$@ $(ALLREFS) $(gbase_queryexample_sources)
-
 gapps_sample_sources = samples/appsforyourdomain/appsdemo.cs
 gapps_appsdemo.exe: $(ALLLIBS) $(gapps_sample_sources)
 	$(CSC) -out:$@ $(ALLREFS) $(gapps_sample_sources)

=== debian/changelog ===
gdata-sharp (1.9.0.0-1) unstable; urgency=low

  * [e8bda28] Imported Upstream version 1.9.0.0
  * [3eaff9f] Bump API and ABI to 1.9.0.0
  * [ce3466e] Refresh patches
  * [eeb4cd5] Drop GoogleBase from Makefile
  * [0c858fa] Drop GoogleBase from *.install* files
  * [361b01a] Update paths in .pc files

 -- Chow Loong Jin <hyperair@ubuntu.com>  Fri, 25 Nov 2011 19:51:39 +0800

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 Vcs-Browser: http://git.debian.org/?p=pkg-cli-libs/packages/gdata-sharp.git
 Homepage: http://code.google.com/p/google-gdata/
 
-Package: libgdata1.8-cil
+Package: libgdata1.9-cil
 Architecture: all
 Depends: ${misc:Depends}, ${cli:Depends}
 Description: Google GData CLI client library
@@ -41,7 +41,7 @@
 
 Package: libgdata-cil-dev
 Architecture: all
-Depends: libgdata1.8-cil (= ${binary:Version}), ${misc:Depends}
+Depends: libgdata1.9-cil (= ${binary:Version}), ${misc:Depends}
 Description: Google GData CLI client library
  GData (Google data) is a set of Application Programming Interfaces (APIs) for
  the Common Language Infrastructure (CLI) which provide a simple protocol for

=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,8 @@
 
 include /usr/share/cli-common/cli.make
 
-DEB_CLI_API_VERSION = 1.8.0.0
-DEB_CLI_ABI_VERSION = 1.8
+DEB_CLI_API_VERSION = 1.9.0.0
+DEB_CLI_ABI_VERSION = 1.9
 
 override_dh_makeclilibs:
 	dh_makeclilibs -m$(DEB_CLI_API_VERSION)

## gdata-sharp 2.1.0.0

=== debian/changelog ===
gdata-sharp (2.1.0.0-1) unstable; urgency=low

  * [012e36d] Imported Upstream version 2.1.0.0
  * [a411836] Handle ABI bump (2.0 -> 2.1)

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 03 Jun 2012 11:05:19 +0800

gdata-sharp (2.0.1.0-1) unstable; urgency=low

  [ Iain Lane ]
  * [e44b8f4] Fix syntax error in monodoc source file

  [ Chow Loong Jin ]
  * [e2a7fe5] Imported Upstream version 2.0.1.0
  * [2ca6983] Bump API/ABI to 2.0
  * [eef84c6] Update email address
  * [9b24639] Refresh patches
  * [f11404e] Bump Standard-Version
  * [786e483] Drop deprecated cli.make include
  * [202c761] Add -pkg:newtonsoft-json to build
  * [ea15084] Combine build-dep and build-dep-indep.
    There are no Architecture: any packages, so the separation is pointless.
  * [f72f05f] Build-dep on libnewtonsoft-json-cil-dev
  * [c49cc7f] Drop Codesearch and Health dlls
  * [6403e88] Drop Code Search from package description

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 01 Jun 2012 04:18:45 +0800

gdata-sharp (1.9.0.0-2) unstable; urgency=low

  * No-change rebuild for CLR 4.0 transition 

 -- Iain Lane <laney@debian.org>  Sun, 22 Jan 2012 19:59:05 +0000

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,19 @@
 Section: cli-mono
 Priority: optional
 Maintainer: Debian CLI Libraries Team <pkg-cli-libs-team@lists.alioth.debian.org>
-Uploaders: Chow Loong Jin <hyperair@ubuntu.com>
+Uploaders: Chow Loong Jin <hyperair@debian.org>
 Build-Depends: debhelper (>= 7.0.50),
                cli-common-dev (>= 0.5.7),
                mono-devel (>= 2.4.3),
-Build-Depends-Indep: libnunit-cil-dev,
-                     monodoc-base (>= 2.4+dfsg)
-Standards-Version: 3.9.2
+               libnunit-cil-dev,
+               libnewtonsoft-json-cil-dev,
+               monodoc-base (>= 2.4+dfsg)
+Standards-Version: 3.9.3
 Vcs-Git: git://git.debian.org/git/pkg-cli-libs/packages/gdata-sharp.git
 Vcs-Browser: http://git.debian.org/?p=pkg-cli-libs/packages/gdata-sharp.git
 Homepage: http://code.google.com/p/google-gdata/
 
-Package: libgdata1.9-cil
+Package: libgdata2.1-cil
 Architecture: all
 Depends: ${misc:Depends}, ${cli:Depends}
 Description: Google GData CLI client library
@@ -25,7 +26,6 @@
   * Base
   * Blogger
   * Calendar
-  * Code Search
   * Contacts
   * Document List
   * Google Apps Provisioning
@@ -41,7 +41,7 @@
 
 Package: libgdata-cil-dev
 Architecture: all
-Depends: libgdata1.9-cil (= ${binary:Version}), ${misc:Depends}
+Depends: libgdata2.1-cil (= ${binary:Version}), ${misc:Depends}
 Description: Google GData CLI client library
  GData (Google data) is a set of Application Programming Interfaces (APIs) for
  the Common Language Infrastructure (CLI) which provide a simple protocol for
@@ -51,7 +51,6 @@
   * Base
   * Blogger
   * Calendar
-  * Code Search
   * Contacts
   * Document List
   * Google Apps Provisioning

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,8 @@
 #!/usr/bin/make -f
 export DH_VERBOSE=1
 
-include /usr/share/cli-common/cli.make
-
-DEB_CLI_API_VERSION = 1.9.0.0
-DEB_CLI_ABI_VERSION = 1.9
+DEB_CLI_API_VERSION = 2.1.0.0
+DEB_CLI_ABI_VERSION = 2.1
 
 override_dh_makeclilibs:
 	dh_makeclilibs -m$(DEB_CLI_API_VERSION)
@@ -43,5 +41,5 @@
 	dh_installchangelogs RELEASE_NOTES.HTML
 
 %:
-	dh $@
+	dh $@ --with=cli

## gdata-sharp 2.2.0.0

=== debian/changelog ===
gdata-sharp (2.2.0.0-2ubuntu1) focal; urgency=medium

  * Fix failure to build docs.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 25 Feb 2020 12:08:50 +0000

gdata-sharp (2.2.0.0-2build1) xenial; urgency=high

  * No change rebuild against mono.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 14 Dec 2015 12:00:41 +0000

gdata-sharp (2.2.0.0-2) unstable; urgency=low

  * Rebuild against libnewtonsoft-json5.0-cil
  * [edd5266] No-change Standards-Version bump to 3.9.5

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 22 Dec 2013 04:03:24 +0800

gdata-sharp (2.2.0.0-1) unstable; urgency=low

  * [b4710e5] Imported Upstream version 2.2.0.0
  * [ee7cf25] No-change bump of Standards-Version to 3.9.4
  * [4d4abb2] Refresh assemblyversion.patch
  * [eba298c] Bump DEB_CLI_API_VERSION
  * [60a9b44] Add cligacpolicy file
  * [73b36bf] Amend installation directories of dll's to -2.2
  * [5a39535] Fix file perms after installcligac.
    This fixes issues with the policy files having g+w permissions.

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 18 Jun 2013 02:19:22 +0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gdata-sharp
 Section: cli-mono
 Priority: optional
-Maintainer: Debian CLI Libraries Team <pkg-cli-libs-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian CLI Libraries Team <pkg-cli-libs-team@lists.alioth.debian.org>
 Uploaders: Chow Loong Jin <hyperair@debian.org>
 Build-Depends: debhelper (>= 7.0.50),
                cli-common-dev (>= 0.5.7),
@@ -9,7 +10,7 @@
                libnunit-cil-dev,
                libnewtonsoft-json-cil-dev,
                monodoc-base (>= 2.4+dfsg)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Vcs-Git: git://git.debian.org/git/pkg-cli-libs/packages/gdata-sharp.git
 Vcs-Browser: http://git.debian.org/?p=pkg-cli-libs/packages/gdata-sharp.git
 Homepage: http://code.google.com/p/google-gdata/

## gdata-sharp 2.2.0.0%2Bdfsg

=== debian/changelog ===
gdata-sharp (2.2.0.0+dfsg-1) unstable; urgency=medium

  * Repack, without .chm, .dll and .msi (eek!) files

 -- Jo Shields <joshield@microsoft.com>  Tue, 25 Feb 2020 10:18:36 -0500

gdata-sharp (2.2.0.0-3) unstable; urgency=medium

  * [0d48cff] Fix for docs not building. Thanks to Dimitri John Ledkov

 -- Jo Shields <joshield@microsoft.com>  Tue, 25 Feb 2020 09:47:43 -0500

## gdata-sharp 2.2.0.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -7,59 +7,54 @@
 PREFIX=/usr/local
 PKGCONFIGDIR = $(PREFIX)/lib/pkgconfig
 
-CORELIBS=\
-	Google.GData.Client.dll		\
-	Google.GData.Extensions.dll 	
+CORELIBS= \
+  Google.GData.Client.dll \
+  Google.GData.Extensions.dll
 
-ACLLIBS=\
-	Google.GData.Client.dll		\
-	Google.GData.Extensions.dll 	\
-	Google.GData.AccessControl.dll
+ACLLIBS= \
+  Google.GData.Client.dll \
+  Google.GData.Extensions.dll \
+  Google.GData.AccessControl.dll
 
 
 ALLLIBS = \
-	Google.GData.Calendar.dll	\
-	Google.GData.Client.dll		\
-	Google.GData.CodeSearch.dll	\
-	Google.GData.Extensions.dll	\
-	Google.GData.GoogleBase.dll	\
-	Google.GData.Spreadsheets.dll	\
-	Google.GData.Apps.dll		\
-	Google.GData.Photos.dll		\
-	Google.GData.Documents.dll 	\
-	Google.GData.AccessControl.dll 	\
-	Google.GData.Contacts.dll	\
-	Google.GData.YouTube.dll	\
-	Google.GData.Health.dll \
-	Google.GData.Blogger.dll \
-	Google.GData.Analytics.dll \
-	
+  Google.GData.Calendar.dll \
+  Google.GData.Client.dll \
+  Google.GData.Extensions.dll \
+  Google.GData.Spreadsheets.dll \
+  Google.GData.Apps.dll \
+  Google.GData.Photos.dll \
+  Google.GData.Documents.dll \
+  Google.GData.AccessControl.dll \
+  Google.GData.Contacts.dll \
+  Google.GData.YouTube.dll \
+  Google.GData.Blogger.dll \
+  Google.GData.Analytics.dll
+
 UNINSTALLLIBS = $(basename $(ALLLIBS))
 
 FRAMEWORK_REFS = -r:System.dll -r:System.Xml.dll -r:System.Configuration.dll
 
 PKGCONFIG_FILES = $(patsubst %.pc.in,%.pc,$(wildcard misc/*.pc.in))
 
-COREREFS = $(addprefix -r:,$(CORELIBS)) $(FRAMEWORK_REFS) 
+COREREFS = $(addprefix -r:,$(CORELIBS)) $(FRAMEWORK_REFS)
 ALLREFS = $(addprefix -r:,$(ALLLIBS)) $(FRAMEWORK_REFS)
 ACLREFS = $(addprefix -r:,$(ACLLIBS)) $(FRAMEWORK_REFS)
 
 
-samples =	\
-	execrequest.exe			\
-	gapps_appsdemo.exe \
-	gapps_migration_sample.exe \
-	gblogger_demo.exe \
-	gcal_demo.exe \
-	gspreadsheet_demo.exe \
-	PhotoTool.exe \
-	HealthTool.exe \
+samples = \
+  execrequest.exe \
+  gapps_appsdemo.exe \
+  gapps_migration_sample.exe \
+  gblogger_demo.exe \
+  gcal_demo.exe \
+  gspreadsheet_demo.exe \
+  PhotoTool.exe
 
 all: $(ALLLIBS) tests $(samples) $(PKGCONFIG_FILES)
 
 core_sources = $(wildcard src/core/*.cs) $(wildcard version/*.cs)
 extensions_sources = $(wildcard src/extensions/*.cs) $(wildcard version/*.cs)
-gcodesearch_sources = $(wildcard src/gcodesearch/*.cs) $(wildcard version/*.cs)
 gspreadsheet_sources = $(wildcard src/gspreadsheet/*.cs) $(wildcard version/*.cs)
 gcalendar_sources =  $(wildcard src/gcalendar/*.cs) $(wildcard version/*.cs)
 gacl_sources = $(wildcard src/gacl/*.cs) $(wildcard version/*.cs)
@@ -68,12 +63,11 @@
 gdocuments_sources = $(wildcard src/documents3/*.cs) $(wildcard version/*.cs)
 gcontact_sources = $(wildcard src/gcontacts/*.cs) $(wildcard version/*.cs)
 youtube_sources = $(wildcard src/youtube/*.cs) $(wildcard version/*.cs)
-health_sources = $(wildcard src/ghealth/*.cs) $(wildcard version/*.cs)
 blogger_sources = $(wildcard src/blogger/*.cs) $(wildcard version/*.cs)
 analytics_sources = $(wildcard src/analytics/*.cs) $(wildcard version/*.cs)
 test_sources = $(wildcard src/unittests/*.cs) $(wildcard src/unittests/gapps/*.cs)\
-				 $(wildcard src/unittests/spreadsheets/*.cs) $(wildcard src/unittests/youtube/*.cs)  $(wildcard src/version/*cs)\
-				 $(wildcard src/unittests/core/*.cs)  $(wildcard src/unittests/picasa/*.cs)
+         $(wildcard src/unittests/spreadsheets/*.cs) $(wildcard src/unittests/youtube/*.cs)  $(wildcard src/version/*cs)\
+         $(wildcard src/unittests/core/*.cs)  $(wildcard src/unittests/picasa/*.cs)
 
 Google.GData.Client.dll: $(core_sources) src/core/clientkey.sn
 	$(CSC) $(DEFINES) -target:library -out:$@ $(core_sources) $(FRAMEWORK_REFS) -keyfile:src/core/clientkey.sn
@@ -83,9 +77,6 @@
 
 Google.GData.Calendar.dll: $(ACLLIBS) $(gcalendar_sources) src/gcalendar/calendarkey.sn
 	$(CSC) -target:library -out:$@ $(ACLREFS) $(gcalendar_sources) -keyfile:src/gcalendar/calendarkey.sn
-
-Google.GData.CodeSearch.dll: $(CORELIBS) $(gcodesearch_sources) src/gcodesearch/codesearch.sn
-	$(CSC) -target:library -out:$@ $(COREREFS) $(gcodesearch_sources) -keyfile:src/gcodesearch/codesearch.sn
 
 Google.GData.Spreadsheets.dll: $(CORELIBS) $(gspreadsheet_sources) src/gspreadsheet/spreadsheets.sn
 	$(CSC) -target:library -out:$@ $(COREREFS) $(gspreadsheet_sources) -keyfile:src/gspreadsheet/spreadsheets.sn
@@ -108,9 +99,6 @@
 Google.GData.YouTube.dll: $(CORELIBS) $(youtube_sources) src/youtube/youtube.sn
 	$(CSC) $(DEFINES) -target:library -out:$@ $(COREREFS) $(youtube_sources) -keyfile:src/youtube/youtube.sn
 
-Google.GData.Health.dll: $(CORELIBS) $(health_sources) src/ghealth/ghealth.sn
-	$(CSC) $(DEFINES) -target:library -out:$@ $(COREREFS) $(health_sources) -keyfile:src/ghealth/ghealth.sn
-
 Google.GData.Blogger.dll: $(CORELIBS) $(blogger_sources) src/blogger/blogger.sn
 	$(CSC) $(DEFINES) -target:library -out:$@ $(COREREFS) $(blogger_sources) -keyfile:src/blogger/blogger.sn
 
@@ -124,7 +112,7 @@
 install: all
 	for i in $(ALLLIBS); do gacutil -i $$i -package GData-Sharp -root "$(DESTDIR)$(PREFIX)/lib"; done
 	install -d "$(DESTDIR)$(PKGCONFIGDIR)"
-	install -m 644 -t "$(DESTDIR)$(PKGCONFIGDIR)" $(PKGCONFIG_FILES) 
+	install -m 644 -t "$(DESTDIR)$(PKGCONFIGDIR)" $(PKGCONFIG_FILES)
 
 uninstall:
 	for i in $(UNINSTALLLIBS); do gacutil -u $$i -package GData-Sharp -root "$(DESTDIR)$(PREFIX)/lib"; done
@@ -160,10 +148,6 @@
 PhotoTool_sources = $(wildcard samples/PhotoBrowser/*.cs)
 PhotoTool.exe: $(ALLLIBS) $(PhotoTool_sources)
 	$(CSC) -out:$@ $(ALLREFS) -r:System.Windows.Forms -r:System.Drawing -r:System.Data $(PhotoTool_sources)
-	
-healthtool_sources = $(wildcard samples/health/*.cs)
-HealthTool.exe: $(ALLLIBS) $(healthtool_sources)
-	$(CSC) -out:$@ $(ALLREFS) $(healthtool_sources)
 
 test:
 	nunit-console2 unittests.dll

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gdata-sharp
 Section: cli-mono
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian CLI Libraries Team <pkg-cli-libs-team@lists.alioth.debian.org>
+Maintainer: Debian CLI Libraries Team <pkg-cli-libs-team@lists.alioth.debian.org>
 Uploaders: Chow Loong Jin <hyperair@debian.org>
 Build-Depends: debhelper (>= 7.0.50),
                cli-common-dev (>= 0.5.7),

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,16 @@
 #!/usr/bin/make -f
 export DH_VERBOSE=1
 
-DEB_CLI_API_VERSION = 2.1.0.0
+DEB_CLI_API_VERSION = 2.2.0.0
 DEB_CLI_ABI_VERSION = 2.1
 
 override_dh_makeclilibs:
 	dh_makeclilibs -m$(DEB_CLI_API_VERSION)
+
+override_dh_installcligac:
+	dh_installcligac
+	dh_fixperms
+	dh_clifixperms
 
 override_dh_installchangelogs:
 	dh_installchangelogs RELEASE_NOTES.HTML
@@ -17,7 +22,7 @@
 	mkdir -p monodoc
 	mdoc update \
 		-fno-assembly-versions \
-		-L$(CURDIR)/bin \
+		-L$(CURDIR) -L$(CURDIR)/bin \
 		--out=monodoc \
 		*.dll
 	mdoc assemble \
